Bug 190511 - [exp-run] jdk1.7 default
Summary: [exp-run] jdk1.7 default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-02 15:01 UTC by Steve Wills
Modified: 2014-06-29 16:40 UTC (History)
4 users (show)

See Also:


Attachments
patch to change jdk 1.7 to default (591 bytes, patch)
2014-06-02 15:01 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2014-06-02 15:01:34 UTC
Created attachment 143294 [details]
patch to change jdk 1.7 to default

Want to make OpenJDK 1.7 the default JDK. Would like to have exp-run for testing. See attached patch.
Comment 1 Antoine Brodin freebsd_committer 2014-06-02 21:37:08 UTC
Take for exp-run
Comment 2 Antoine Brodin freebsd_committer 2014-06-04 07:17:15 UTC
Hi,

Exp-run results are available at:

http://package22.nyi.freebsd.org/build.html?mastername=91amd64-default-pr190511&build=2014-06-03_01h27m46s

There were 19 new failures:

+ {"origin"=>"devel/itext", "pkgname"=>"itext-4.2.0_4,1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/javolution", "pkgname"=>"javolution-5.5.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/jgoodies-common", "pkgname"=>"jgoodies-common-1.2.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/statcvs", "pkgname"=>"statcvs-0.7.0", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"devel/statsvn", "pkgname"=>"statsvn-0.7.0_2", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"dns/dnsjava", "pkgname"=>"dnsjava-2.1.6", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"games/blackjackclient", "pkgname"=>"BlackjackClient-0.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/jchessboard", "pkgname"=>"jchessboard-1.5_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/jogl", "pkgname"=>"jogl-1.1.1_2", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"java/jakarta-commons-dbcp", "pkgname"=>"jakarta-commons-dbcp-1.4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jfreechart", "pkgname"=>"jfreechart-1.0.17", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jgrapht", "pkgname"=>"jgrapht-0.7.3_1", "phase"=>"install", "errortype"=>"install_error"}
+ {"origin"=>"math/jakarta-commons-math", "pkgname"=>"jakarta-commons-math-2.2_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/jakarta-commons-math3", "pkgname"=>"jakarta-commons-math3-3.2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/colt", "pkgname"=>"colt-1.2.0_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/hdf-java", "pkgname"=>"hdf-java-2.10_1", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"security/i2p", "pkgname"=>"i2p-0.9.11", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"www/cocoon", "pkgname"=>"cocoon-2.1.11_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/jericho-html", "pkgname"=>"jericho-html-3.2", "phase"=>"build", "errortype"=>"???"}

Error logs:

http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/itext-4.2.0_4,1.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/javolution-5.5.1.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/jgoodies-common-1.2.1.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/statcvs-0.7.0.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/statsvn-0.7.0_2.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/dnsjava-2.1.6.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/BlackjackClient-0.1.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/jchessboard-1.5_3.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/jogl-1.1.1_2.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/jakarta-commons-dbcp-1.4.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/jfreechart-1.0.17.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/jgrapht-0.7.3_1.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/jakarta-commons-math-2.2_1.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/jakarta-commons-math3-3.2.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/colt-1.2.0_1.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/hdf-java-2.10_1.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/i2p-0.9.11.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/cocoon-2.1.11_1.log
http://package22.nyi.freebsd.org/data/91amd64-default-pr190511/2014-06-03_01h27m46s/logs/errors/jericho-html-3.2.log
Comment 3 Antoine Brodin freebsd_committer 2014-06-05 20:05:14 UTC
change status to in discussion and add portmgr in cc
Comment 4 Steve Wills freebsd_committer 2014-06-06 17:54:02 UTC
These should all be fixed to either work with 1.7 or require 1.6 now. Moving on to next step!
Comment 5 Antoine Brodin freebsd_committer 2014-06-06 18:17:32 UTC
Those 6 ports were skipped during the exp-run, maybe ensure that they work fine with jdk 1.7 too:

+ {"origin"=>"audio/tuxguitar", "pkgname"=>"tuxguitar-1.2_7", "depends"=>"itext-4.2.0_4,1"}
+ {"origin"=>"graphics/aoi", "pkgname"=>"aoi-3.0_2", "depends"=>"jogl-1.1.1_2"}
+ {"origin"=>"math/scilab", "pkgname"=>"scilab-5.3.3_9", "depends"=>"jogl-1.1.1_2"}
+ {"origin"=>"math/scilab-toolbox-sivp", "pkgname"=>"scilab-toolbox-sivp-1.0.0.r286_5", "depends"=>"jogl-1.1.1_2"}
+ {"origin"=>"math/scilab-toolbox-swt", "pkgname"=>"scilab-toolbox-swt-0.1.11_3", "depends"=>"jogl-1.1.1_2"}
+ {"origin"=>"net/tn5250j", "pkgname"=>"tn5250j-0.6.0_3", "depends"=>"itext-4.2.0_4,1"}
Comment 6 Steve Wills freebsd_committer 2014-06-06 20:46:40 UTC
Of those 6 skips, most of them seem to be fine now. The math/scilab port is the one exception, and even setting it to 1.6 only doesn't seem to help.
Comment 7 Jung-uk Kim freebsd_committer 2014-06-06 21:25:35 UTC
(In reply to Steve Wills from comment #6)
> Of those 6 skips, most of them seem to be fine now. The math/scilab port is
> the one exception, and even setting it to 1.6 only doesn't seem to help.

makc removed BROKEN recenctly.  I think he should be able to help us (CC'ed).

http://svnweb.freebsd.org/changeset/ports/352097